--- title: "getCloudPostgresqlImageProductList" slug: "database-vpostgresql-getcloudpostgresqlimageproductlist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vpostgresql-getcloudpostgresqlimageproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudPostgresqlImageProductList Available in VPC Get a list of Cloud DB for PostgreSQL image product codes. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpostgresql/v2/getCloudPostgresqlImageProductList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) request headers](/docs/en/database-vpostgresql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code to view the Cloud DB for PostgreSQL image product code list for - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default) | | `productCode` | String | Optional | Filter by Cloud DB for PostgreSQL image product code. - Check through [getCloudPostgresqlImageProductList](/docs/en/database-vpostgresql-getcloudpostgresqlimageproductlist). | | `exclusionProductCode` | String | Optional | Filter by excluding Cloud DB for PostgreSQL image product code. - Check through [getCloudPostgresqlImageProductList](/docs/en/database-vpostgresql-getcloudpostgresqlimageproductlist). | | `generationCode` | String | Optional | Server generation code - `G2` \| `G3` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/getCloudPostgresqlImageProductList ?regionCode=KR' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [ProductList](/docs/en/common-vapidatatype-productlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see [Cloud DB for PostgreSQL (VPC) response status codes](/docs/en/database-vpostgresql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudPostgresqlImageProductListResponse": { "totalRows": 4, "productList": [ { "productCode": "SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.1313.B050", "productName": "PostgreSQL 13.13", "productType": { "code": "LINUX", "codeName": "Linux" }, "productDescription": "CentOS 7.8 with PostgreSQL 13.13", "infraResourceType": { "code": "SW", "codeName": "Software" }, "baseBlockStorageSize": 53687091200, "platformType": { "code": "LNX64", "codeName": "Linux 64 Bit" }, "osInformation": "CentOS 7.8 with PostgreSQL 13.13 (64-bit)", "generationCode": "G2" }, { "productCode": "SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.1310.B050", "productName": "PostgreSQL 13.10", "productType": { "code": "LINUX", "codeName": "Linux" }, "productDescription": "CentOS 7.8 with PostgreSQL 13.10", "infraResourceType": { "code": "SW", "codeName": "Software" }, "baseBlockStorageSize": 53687091200, "platformType": { "code": "LNX64", "codeName": "Linux 64 Bit" }, "osInformation": "CentOS 7.8 with PostgreSQL 13.10 (64-bit)", "generationCode": "G2" }, { "productCode": "SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.137.B050", "productName": "PostgreSQL 13.7", "productType": { "code": "LINUX", "codeName": "Linux" }, "productDescription": "CentOS 7.8 with PostgreSQL 13.7", "infraResourceType": { "code": "SW", "codeName": "Software" }, "baseBlockStorageSize": 53687091200, "platformType": { "code": "LNX64", "codeName": "Linux 64 Bit" }, "osInformation": "CentOS 7.8 with PostgreSQL 13.7 (64-bit)", "generationCode": "G2" }, { "productCode": "SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.133.B050", "productName": "PostgreSQL 13.3", "productType": { "code": "LINUX", "codeName": "Linux" }, "productDescription": "CentOS 7.8 with PostgreSQL 13.3", "infraResourceType": { "code": "SW", "codeName": "Software" }, "baseBlockStorageSize": 53687091200, "platformType": { "code": "LNX64", "codeName": "Linux 64 Bit" }, "osInformation": "CentOS 7.8 with PostgreSQL 13.3 (64-bit)", "generationCode": "G2" } ], "requestId": "e1a91bad-****-****-****-1bde372f7541", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` e1a91bad-****-****-****-1bde372f7541 0 success 4 SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.1313.B050 PostgreSQL 13.13 LINUX Linux CentOS 7.8 with PostgreSQL 13.13 SW Software 53687091200 LNX64 Linux 64 Bit CentOS 7.8 with PostgreSQL 13.13 (64-bit) G2 SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.1310.B050 PostgreSQL 13.10 LINUX Linux CentOS 7.8 with PostgreSQL 13.10 SW Software 53687091200 LNX64 Linux 64 Bit CentOS 7.8 with PostgreSQL 13.10 (64-bit) G2 SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.137.B050 PostgreSQL 13.7 LINUX Linux CentOS 7.8 with PostgreSQL 13.7 SW Software 53687091200 LNX64 Linux 64 Bit CentOS 7.8 with PostgreSQL 13.7 (64-bit) G2 SW.VPGSL.OS.LNX64.CNTOS.0708.PGSQL.133.B050 PostgreSQL 13.3 LINUX Linux CentOS 7.8 with PostgreSQL 13.3 SW Software 53687091200 LNX64 Linux 64 Bit CentOS 7.8 with PostgreSQL 13.3 (64-bit) G2 ```